From: Martin Michlmayr <tbm@cyrius.com>

GCC 4.4 cleaned up some more C++ headers.  You always have to #include
headers directly and cannot rely for things to be included indirectly.

Index: swish++/fdbuf.c
===================================================================
--- swish++.orig/fdbuf.c	2009-03-04 12:32:17.000000000 +0530
+++ swish++/fdbuf.c	2009-03-04 12:32:35.000000000 +0530
@@ -21,6 +21,7 @@
 
 // standard
 #include <cerrno>
+#include <cstdio>
 #include <cstring>
 #include <unistd.h>
 
